
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET Calendar日历(日期)控件使用方法_基础应用 / iVAN</title>

    <meta name="description" content="ASP.NET Calendar日历(日期)控件使用方法_基础应用 Calendar 控件显示一个日历,用户可通过该日历导航到任意一年的任意一天.当 ASP.NET 网页运行时,Calendar 控件以 HTML 表格的形式呈现.因此,该控件的许多属性与多种不同的表格格式相符.在这些属性中,有几个在一些低版本的浏览器中不能得到完全支持,因此在这些浏览器中并不能使用所有的格式功能. 使用 Calendar 控件在网页上显示日历的单个月.该控件使您可以选择日期并移到下个月或上个月.Calendar 控件支持 System.Globalization 命名空间中的所有">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET Calendar日历(日期)控件使用方法_基础应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Calendar 控件显示一个日历，用户可通过该日历导航到任意一年的任意一天。当 ASP.NET 网页运行时，Calendar 控件以 HTML 表格的形式呈现。因此，该控件的许多属性与多种不同的表格格式相符。在这些属性中，有几个在一些低版本的浏览器中不能得到完全支持，因此在这些浏览器中并不能使用所有的格式功能。</p>
<p>使用 Calendar 控件在网页上显示日历的单个月。该控件使您可以选择日期并移到下个月或上个月。Calendar 控件支持 System.Globalization 命名空间中的所有 System.Globalization.Calendar 类型。除公历以外，这还包括使用不同年和月系统的日历，如 Hjiri 日历。</p>
<p><strong>可以通过设置 SelectionMode 属性指定 Calendar 控件是否允许选择单日、周或整月。</strong></p>
<p>默认情况下，该控件显示月中各天、周中各天的标头、带有月份名和年份的标题、用于选择月份中各天的链接及用于移动到下个月和上个月的链接。您可以通过设置控制控件中不同部分的样式的属性，来自定义 Calendar 控件的外观。下表列出了指定控件不同部分的样式的属性。</p>
<p><strong>属性 说明</strong></p>
<table>
<tbody>
<tr>
<td>DayHeaderStyle</td>
<td>为显示一周中各天的部分指定样式。</td>
</tr>
<tr>
<td>DayStyle</td>
<td>为显示的月份中的日期指定样式。</td>
</tr>
<tr>
<td>NextPrevStyle</td>
<td>为标题部分中的导航控件指定样式。</td>
</tr>
<tr>
<td>OtherMonthDayStyle</td>
<td>为不在当前显示的月份中的日期指定样式。</td>
</tr>
<tr>
<td>SelectedDayStyle</td>
<td>为日历中的选定日期指定样式。</td>
</tr>
<tr>
<td>SelectorStyle</td>
<td>为周和月份日期选择列指定样式。</td>
</tr>
<tr>
<td>TitleStyle</td>
<td>为标题部分指定样式。</td>
</tr>
<tr>
<td>TodayDayStyle</td>
<td>为今天日期指定样式。</td>
</tr>
<tr>
<td>WeekendDayStyle</td>
<td>为周末日期指定样式。</td>
</tr>
</tbody>
</table>
<p><strong>也可以显示或隐藏控件的不同部分。下表列出控制显示或隐藏哪些部分的属性。</strong></p>
<table>
<tbody>
<tr>
<td>ShowDayHeader</td>
<td>显示或隐藏显示一周中各天的部分。</td>
</tr>
<tr>
<td>ShowGridLines</td>
<td>显示或隐藏月中各天之间的网格线。</td>
</tr>
<tr>
<td>ShowNextPrevMonth</td>
<td>显示或隐藏指向下个月或上个月的导航控件。</td>
</tr>
<tr>
<td>ShowTitle</td>
<td>显示或隐藏标题部分。</td>
</tr>
</tbody>
</table>
<p>尽管 Calendar 控件不支持绑定到数据源，但是可以修改各个日期单元格的内容和格式设置。在网页上显示 Calendar 控件之前，它创建并汇编组成该控件的组件。当创建 Calendar 控件中的每个日期单元格时，均会引发 DayRender 事件。通过在 DayRender 事件的事件处理程序中提供代码，可以在创建日期单元格时控制其内容和格式设置。</p>
<p>Calendar 控件将 ECMAScript（JScript、JavaScript）呈现给客户端浏览器。客户端浏览器必须启用 ECMAScript，此控件才能正常工作。</p>
<p><strong>下面的代码示例演示如何在网页上创建 Calendar 控件。</strong></p>
<p><strong>前台代码：</strong></p>
<pre>
&lt;%@ Page Language="C#" AutoEventWireup="true" CodeFile="Calendar.aspx.cs" Inherits="WebControls_Calendar" %&gt;

&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;

&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;
&lt;head runat="server"&gt;
 &lt;title&gt;&lt;/title&gt;
 &lt;style type="text/css"&gt;
  .style1
  {
   width: 369px;
  }
 &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
 &lt;form id="form1" runat="server"&gt;
 &lt;div&gt;
 &lt;h3&gt;Calendar(日期控件)&lt;/h3&gt;
  &lt;table style="width: 100%;"&gt;
   &lt;tr&gt;
    &lt;td class="style1"&gt;
      
     属性&lt;/td&gt;
    &lt;td&gt;
     值&lt;/td&gt;
    &lt;td&gt;
     作用&lt;/td&gt;
   &lt;/tr&gt;
  &lt;/table&gt;
  &lt;hr /&gt;
  请选择日期：&lt;asp:Calendar ID="calDate" runat="server"&gt;&lt;/asp:Calendar&gt;
  &lt;asp:Button ID="btnSubmit" runat="server" Text="提交" onclick="btnSubmit_Click" /&gt;
  &lt;hr /&gt;
  请选的日期为：&lt;asp:Label ID="lblState" runat="server"&gt;&lt;/asp:Label&gt;
  &lt;br /&gt;
  &lt;br /&gt;
  本地日期和时间为：&lt;asp:Label ID="lblBenDiShiJian" runat="server"&gt;&lt;/asp:Label&gt;
 &lt;/div&gt;
 &lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p><strong>后台代码：</strong></p>
<pre>
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class WebControls_Calendar : System.Web.UI.Page
{
 protected void Page_Load(object sender, EventArgs e)
 {
  lblBenDiShiJian.Text = System.DateTime.Now.ToString();
 }
 protected void btnSubmit_Click(object sender, EventArgs e)
 {
  lblState.Text = calDate.SelectedDate.ToShortDateString();
 }
}</pre>
<p><strong>显示效果：</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2NDE1MTAzMDEzNTAwLnBuZw==.jpg"></p>
<p>请选的日期为：2013-03-13</p>
<p>本地日期和时间为：2013-03-06 10:22:23</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索asp.net<br />
                    ，                日历<br />
                                    calendar<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 08:33:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%8e%86/" title="日历">日历</a>, <a href="https://www.iamivan.net/tag/calendar/" title="calendar">calendar</a>, <a href="https://www.iamivan.net/tag/asp-net/" title="asp&period;net">asp&period;net</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET Calendar日历(日期)控件使用方法_基础应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6qOKp.html" rel="bookmark">ASP&period;NET动态添加用户控件的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.NET动态添加用户控件的方法.分享给大家供大家参考.具体实现方法如下: 为了让用户控件能ASP.NET页面实现动态添加,首先写一个接口IGetUCable,这个接口有一个函数,返回对象类型是UserControl. using System; using System.Collections.Generic; using System.Linq; using System.Web; using System.Web.UI; /// &lt;summary&gt; /// Summar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv7yOAp.html" rel="bookmark">AjaxControlToolKit DropDownExtender&lpar;下拉扩展控件&rpar;使用方法&lowbar;基础应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面大概吧使用方法介绍下(这里使用Lable控件为例子): 1. 给页面添加一个ScriptManager控件(使用方法还没有研究完全,研究完全了试验写点经验) 2.添加一个控制无刷新的UpdatePanel控件 (同上) 3.在UpdatePanel控件中 添加俩个 Label控件 一个用来添加DropDownExtender扩展,一个用来显示上个Label中取到的值,一个Panel控件 在Panel控件中添加若干个LinkButton控件 4.所有LinkButton公用一个Click事件,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxo0vp.html" rel="bookmark">asp&period;net动态载入用户控件的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 Page_Load 中写入下面代码: string s=base.QueryString(&quot;usctrl&quot;) ; string uc= (s== String.Empty) ? &quot;~/myweb/userctrl/default.ascx&quot;  :  &quot;~/myweb/userctrl/&quot;&quot;  + s + &quot;.ascx&quot; ; PlaceHolder1.Controls.Clear();    PlaceHolder			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAE432M.html" rel="bookmark">WPF自定义控件与样式&lpar;5&rpar;-Calendar&sol;DatePicker日期控件自定义样式及扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:WPF自定义控件与样式(5)-Calendar/DatePicker日期控件自定义样式及扩展 一．前言 申明:WPF自定义控件与样式是一个系列文章,前后是有些关联的,但大多是按照由简到繁的顺序逐步发布的等,若有不明白的地方可以参考本系列前面的文章,文末附有部分文章链接. 本文主要内容: 日历控件Calendar自定义样式: 日期控件DatePicker自定义样式,及Label标签.水印.清除日期功能扩展: 二．Calendar自定义样式 先看看效果: 从上面图可以看出,日历的显示其实有三种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5d75z.html" rel="bookmark">&period;Net遍历窗体上控件的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了.Net遍历窗体上控件的方法.分享给大家供大家参考.具体分析如下: 本例实现遍历窗体上的控件以及找出TextBox控件,代码如下: 复制代码 代码如下: foreach( Control control in this.Controls ) {    if( control  is  TextBox )    //判断是否是TextBox控件    {        //TODO...         TextBox textBox=control;     //里氏转换     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKGRAb.html" rel="bookmark">ASP&period;NET：数据库绑定控件DataBind方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件|数据|数据库     DataBind方法是ASP.NET中一个很重要的概念,几乎所有的控件都需要它控制数据的操作,它的作用是在为控件指定数据源后,执行数据绑定操作.在上一章的DataSet对象实例中我们已经使用过,利用这个方法为DataGrid控件绑定数据,即DataGrid.DataBind().    ASP.NET可以使用DataBind方法来绑定数据的控件除了DataGrid,Repeater,DataList三个专用的数据绑定控件以外,还有些数据集合性质的Web			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZg9POb.html" rel="bookmark">ASP&period;NET 中ImageMap控件的用法&lowbar;基础应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用 ASP.NET ImageMap 控件可以创建一个图像,使其包含许多可由用户单击的区域(热区),这些区域称为&quot;作用点&quot;.每一个作用点都可以是一个单独的超链接或回发事件. 常用属性: HotSpotMode属性 HotSpotMode属性用于获取或设置单击热点区域后的默认行为方式. ImageMap控件的HotSpotMode属性的枚举值如下表所示: 枚举值 说明 Inactive 无任何操作,即此时就像一张没有热点区域的普通图片 NotSet 未设置项,同时也是默认项.虽然名为未			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPllkZp.html" rel="bookmark">Asp&period;Net分页和AspNetPager控件的使用&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面就来重点说说这几种分页方式: 一般情况下我们都是通过sql语句来分页,这在无论哪种开发语音都是通用的, 使用sql语句或者存储过程分页的方式最主要的是要在读取数据的时候把sql语句或者存储过程写好,它的原理是只读取当前要显示的几行记录,所以要根据页数和每页显示的数目来写语句,如下: Select top pageSize * from News where id not in(select top (Page-1)*pageSize id from News) 很显然只要将pageSize和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlWlqp.html" rel="bookmark">详解ASP&period;NET数据绑定操作中Repeater控件的用法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.绑定控件之Repeater.NET封装了多种数据绑定控件,诸如GridView.DataList等但该篇文章将会从Repeater入手,因为Repeater只提供了基本的数据绑定模板,没有内置其它分页等功能,所以它是最原始的数据绑定控件,只要能够熟练运用Repeater控件其它的绑定控件也就很简单了.1.Repeater简介Repeater 控件是基本模板化数据列表. 它不像GridView控件一样能够可视化的设计格式或样式,因此开发时在控件模板中必须显式声明所有格式.格式和样式标记.另外R			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3EZWp.html" rel="bookmark" class="title">金山wps怎么把数学公式设置为红色</a>
					<div>
						  在今天的金山wps使用教程中,我们将给大家分享的是在金山wps将数学公式显示颜色设置为红色的方法.我们在编辑金山wps文档的时候,为了让数学公式更醒目.更容易被记忆,可以把数学公式的颜色设置为红色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEQjob.html" rel="bookmark" class="title">PHP 特殊方法</a>
					<div>
						&lt;?php header(&quot;Content-type: text/html; charset=utf-8&quot;); class person{ //成员属性 private $n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1PVdb.html" rel="bookmark" class="title">如何提高网站访问速度？</a>
					<div>
						据Websense调查公司称多达70%的上网者表示不愿意在页面读取上超过8秒钟,超过70%的人会因为&quot;慢悠悠的网页下载速度&quot;而放弃在线浏览和购物行为.网站的访问速度问题已经直接影响 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNG6xp.html" rel="bookmark" class="title">利用百度点击原理提升关键词排名</a>
					<div>
						百度的点击原理是2012年初的算法更新后推出的一项算法规则,因为百度通过研究发现,用户对某一事物的关注热点会随着时间的变化而发生改变,所以点击原 理的目的在于将用户最关注的网页放在排名较好的位置,此点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lkjz.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;41&rpar;&colon; TDIB&period;SplitBlur&lpar;&rpar;&semi;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO25LM.html" rel="bookmark" class="title">八条不使用MySQL的理由</a>
					<div>
						在我负责管理一家技术咨询公司的时候,我听到了一些不使用MySQL的理由.虽然很多理由都是出于误解的,但是的确存在着一部分很充分的不使用MySQL的理由.当然,现实的情况会根据环境有所不同,但是在每个情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPw8PM.html" rel="bookmark" class="title">《Programming WPF》翻译 第3章 2&period;处理输入</a>
					<div>
						在Windows应用程序中,又3种基本的用户输入形式:鼠标.键盘和手写板. 同时,还有一种更高级输入方式,其可能来自快捷键.工具栏的按钮.菜单项. 尽管控件担当着主要的输入对象,用户界面的所有元素都可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlVa8b.html" rel="bookmark" class="title">ps打造蚀金属字教程</a>
					<div>
						每当在电影.电视中看到腐蚀金属字体时,总会勾起人们对某个时代的思考,本教程就来教你制作腐蚀金属字体,字体主要通过photoshop滤镜中的各种效果实现,下面就一起来看看具体制作方法吧. photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z421rPM.html" rel="bookmark" class="title">金山游戏盒子怎么卸载？</a>
					<div>
						  如果要强力删除的话,可以使用360安全卫士或者腾讯电脑管家的软件管理中强力删除. 很多卸载出问题是因为卸载不干净导致的有些软件不带有自己卸载的文件,所以比较流氓但一般带有自带卸载文件的软件有些注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam7KPb.html" rel="bookmark" class="title">求对数据进行正态分布处理的算法或算法库</a>
					<div>
						问题描述 作绩效考核用,要求将离散的考核分数重新处理,以服从正态分布,并且按照百分比分别落在不同区段,如5~10%的分数为4.5-5分等.不知道有没有现成的能被直接调用的软件.或javalib.或算法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAwe2M.html" rel="bookmark" class="title">Python中防止sql注入的方法详解</a>
					<div>
						前言 大家应该都知道现在web漏洞之首莫过于sql了,不管使用哪种语言进行web后端开发,只要使用了关系型数据库,可能都会遇到sql注入攻击问题.那么在Python web开发的过程中sql注入是怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nr5az.html" rel="bookmark" class="title">ASP&period;NET MVC功能详解 变身数据展示达人</a>
					<div>
						作为Web开发者,我们经常面对的任务就是将数据通过表格展现给用户.最简单的情景是比如仅将顾客的订单显示出来.然而,更多的数据表格将提供比如排序,分页等更多的丰富的功能. 在ASP.NET的web表单中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr6aZM.html" rel="bookmark" class="title">ID Tech 5 中&amp;quot&semi;Megatexture&amp;quot&semi;针对地形的D3D9 基本实现原理</a>
					<div>
						ID Tech 5 中&quot;Megatexture&quot;针对地形的D3D9  基本实现原理  姚勇  H3D  2007-8  本文对ID SOFTWARE 使用的&quot;megate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YmPdM.html" rel="bookmark" class="title">《C语言程序设计》一3&period;4　案例学习&mdash;&mdash;计算一年中某月份的总天数</a>
					<div>
						3.4 案例学习--计算一年中某月份的总天数 [例3-8] 从键盘上输入年和月份,打印出相应年中某月份的总天数. 1．问题分析 这个问题要求从键盘上输入年份和月份,根据年份和月份计算出当月的总天数.年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQYeWz.html" rel="bookmark" class="title">流-安卓视通过InputStream播放视频问题</a>
					<div>
						问题描述 安卓视通过InputStream播放视频问题 得到一个视频文件的InputStream,如何将其实时的播放出来,就像百度网盘视频插件或ES那样,不需要占用本地的过多存储空间,播放完成在本地不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7gLrz.html" rel="bookmark" class="title">java-导师给我个任务，就是怎么用Linux命令来执行一些单元测试。。。。</a>
					<div>
						问题描述 导师给我个任务,就是怎么用Linux命令来执行一些单元测试.... 之前对Linux命令不是很熟悉,想知道有没有可以提供一个DEMO.实现通过Linux命令来执行java的一些单元测试类或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PK4Qp.html" rel="bookmark" class="title">Android版：验证手机号码的正则表达式</a>
					<div>
						/** * 验证手机格式 */ public static boolean isMobileNO(String mobiles) { /* 移动:134.135.136.137.138.139.150 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjEl7M.html" rel="bookmark" class="title">centos性能监控-centos  cpu监控，流量监控的问题</a>
					<div>
						问题描述 centos cpu监控,流量监控的问题 监控图不连续,怀疑中途是不是web服务器重启了还是什么其它情况 解决方案 http://www.linuxidc.com/Linux/2014-01 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqqqWz.html" rel="bookmark" class="title">【转】Log4j&sol;common log和各种服务器集成的问题</a>
					<div>
						转自:http://xinyanfei.blog.sohu.com/72361504.html我从转到Java开发后,一直在开发Application Server,所以基本没有和大型的Web Ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV04wDM.html" rel="bookmark" class="title">关于java 不能完全读取socket二进制流的问题（数据量越大问题就越严重）</a>
					<div>
						问题描述 我在java中用socket读取server端发过来的二进制流,从包头前面11个字节中读取包体的字节总数,然后再循环读取包体的字节数,但当server端的数据字节比较大时就不能完全读过来 , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZaQrp.html" rel="bookmark" class="title">JBoss配置解决高并发连接异常问题&lpar;转&rpar;</a>
					<div>
						  这两天一个项目在做压力测试的时候,发现只要并发数超过250个,连续测试两轮就会有连接异常出现,测试轮数越多出现越频繁,异常日志如下:   [plain] view plain copy     C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xgYXb.html" rel="bookmark" class="title">java源码-写了一个java实现航空订票功能，写了一部分，但是一运行就报错，求大神指点</a>
					<div>
						问题描述 写了一个java实现航空订票功能,写了一部分,但是一运行就报错,求大神指点 import java.util.Scanner;public class The_Plane_Tickets { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nDOnz.html" rel="bookmark" class="title">java 对象数组 遍历-Java遍历对象数组遇到问题</a>
					<div>
						问题描述 Java遍历对象数组遇到问题 List listResults=....; EquipmentGroupJoinVO[] eqvo = new EquipmentGroupJoinVO[li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeog58M.html" rel="bookmark" class="title">《基于ArcGIS的Python编程秘笈（第2版）》&mdash;&mdash;1&period;4　总结</a>
					<div>
						1.4 总结 本章介绍了Python编程的基本概念,理解这些基本概念才能编写出有效的地理处理脚本.在本章的开头简略介绍了如何在IDLE开发环境下编写和调试Python脚本,讲解了如何创建一个新的脚本. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBy32M.html" rel="bookmark" class="title">传统企业和电商网站都离不开ERP、CRM管理</a>
					<div>
						我们说商城系统实现了实体商城的虚拟社区化,电子商务逐渐把我们的消费习惯从实体消费引入了网络购物的领域.消费场所变了,支付手段变了,消费流程变了,好像我们的消费行为全都变了,可万变不离其宗的是什么?对, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkVaAM.html" rel="bookmark" class="title">90后菜鸟程序猿1年来内心独白&lpar;无助&comma;迷茫&rpar;</a>
					<div>
						问题描述 本人第一次发帖子,可能废话有点多,望大家海涵,-------------------------我,一个91年的小伙子.大学时期去了部队从军,两年后退役回来做了一个小小的程序猿.没入行之前, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2ogBz.html" rel="bookmark" class="title">xdebug-zend studio&plus;IIS&plus;mysql开发环境下Xdeug调试配置失败</a>
					<div>
						问题描述 zend studio+IIS+mysql开发环境下Xdeug调试配置失败 配置基本没错,但是在调试的时候,出现了如下的提示,求大神指教					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqV7Wp.html" rel="bookmark" class="title">JQuery运动特效</a>
					<div>
						       JQuery作为一个强大的JS框架,为我们在实际中避免了很多问题,比如,不会写算法,总得做浏览器的兼容等等.最近用到了JQuery的一些特效,拿出来复习下.      常见特效 Fade ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWWm8p.html" rel="bookmark" class="title">网上卖假注射剂药店老板经理坐牢</a>
					<div>
						本报讯 (记者林霞虹 通讯员越法宣)一家药房的老板和经理让店员在网上兜售http://www.aliyun.com/zixun/aggregation/37503.html&quot;&gt;治疗癌症 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqQ4Nb.html" rel="bookmark" class="title">海参电子商务与传统渠道优劣对比</a>
					<div>
						杭州被称为人间的天堂,也被公认为中国电子商务的发源地,电子商务狂潮席卷中国大江南北,作为经济发达的长三角城市,杭州的电子商务更是如火如荼.最近海参在杭州&quot;火&quot;了起来,笔者有心留意, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
